APIs / Google Hotels / Search
Google Hotels: Search
Search from Google Hotels as JSON. 1 credit per successful call.
GET /v1/google-hotels/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
engine | string | Optional | google_hotels |
q | string | Required | Up to 200 characters |
check_in_date | string | Required | Any |
check_out_date | string | Required | Any |
adults | integer | Optional | Any |
children | integer | Optional | Any |
currency | string | Optional | Up to 3 characters |
gl | string | Optional | Up to 2 characters |
hl | string | Optional | Up to 2 characters |
sort_by | integer | Optional | 3, 8, 13 |
min_price | integer | Optional | Any |
max_price | integer | Optional | Any |
hotel_class | integer | Optional | 2, 3, 4, 5 |
free_cancellation | boolean | Optional | Any |
children_ages[] | list of integer | Optional | Any |
rating | integer | Optional | 7, 8, 9 |
amenities[] | list of integer | Optional | Any |
vacation_rentals | boolean | Optional | Any |
eco_certified | boolean | Optional | Any |
special_offers | boolean | Optional | Any |
property_types[] | list of integer | Optional | Any |
brands[] | list of integer | Optional | Any |
bedrooms | integer | Optional | Any |
bathrooms | integer | Optional | Any |
next_page_token | string | Optional | Any |
property_token | string | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/google-hotels/search?q=Paris%2C+France&check_in_date=2026-09-15&check_out_date=2026-09-18¤cy=EUR&gl=fr" \
-H "X-API-Key: $API_KEY"